Package de.willuhn.jameica.hbci.server

# Class AbstractBaseUeberweisungImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl
de.willuhn.jameica.hbci.server.AbstractBaseUeberweisungImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `BaseUeberweisung`, `HibiscusDBObject`, `HibiscusTransfer`, `Terminable`, `Transfer`, `Serializable`, `Remote`

Direct Known Subclasses:
  `AuslandsUeberweisungImpl`, `LastschriftImpl`, `SepaLastschriftImpl`, `UeberweisungImpl`

public abstract class AbstractBaseUeberweisungImpl extends AbstractHibiscusTransferImpl implements BaseUeberweisung, Terminable
Abstrakte Basis-Klasse fuer Ueberweisungen und Lastschriften.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`AbstractBaseUeberweisungImpl()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`ausgefuehrt()`
Prueft, ob das Objekt ausgefuehrt wurde.
`Date`
`getAusfuehrungsdatum()`
Liefert das Datum, zu dem der Auftrag ausgefuehrt wurde.
`String`
`getPrimaryAttribute()`
`Date`
`getTermin()`
Liefert den Termin der Ueberweisung.
`String`
`getTextSchluessel()`
Liefert den Textschluessel des Auftrags.
`void`
`insert()`
`protected void`
`insertCheck()`
`protected boolean`
`markingExecuted()`
Liefert true, wenn wir uns gerade dabei befinden, den Vorgang als ausgefuehrt zu markieren.
`void`
`setAusgefuehrt(boolean b)`
Markiert das Objekt als ausgefuehrt/nicht ausgefuehrt und speichert die Aenderung unmittelbar.
`void`
`setTermin(Date termin)`
Speichert den Termin, an dem die Ueberweisung ausgefuehrt werden soll.
`void`
`setTextSchluessel(String schluessel)`
Speichert den Textschluessel.
`boolean`
`ueberfaellig()`
Prueft, ob die Ueberweisung ueberfaellig ist.
`protected void`
`updateCheck()`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl

`delete, getAttribute, getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getKonto, getWeitereVerwendungszwecke, getZweck, getZweck2, overwrite, setBetrag, setGegenkonto, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2, store`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getTableName, getUpdateSQL, hasChanged, hasChanged, init, isNewObject, load, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusTransfer

`getKonto, setBetrag, setGegenkonto, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Constructor Details

### AbstractBaseUeberweisungImpl

public AbstractBaseUeberweisungImpl() throws RemoteException

Throws:
  `RemoteException`

## Method Details

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Specified by:
  `getPrimaryAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `AbstractHibiscusTransferImpl`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractHibiscusTransferImpl.insertCheck()`

### updateCheck

protected void updateCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `updateCheck` in class `AbstractHibiscusTransferImpl`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.updateCheck()`

### insert

public void insert() throws RemoteException, de.willuhn.util.ApplicationException

Overrides:
  `insert` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insert()`

### getTermin

public Date getTermin() throws RemoteException
Description copied from interface: `Terminable`
Liefert den Termin der Ueberweisung.

Specified by:
  `getTermin` in interface `Terminable`
Returns:
  Termin der Ueberweisung.
Throws:
  `RemoteException`
See Also:
  - `Terminable.getTermin()`

### getAusfuehrungsdatum

public Date getAusfuehrungsdatum() throws RemoteException
Description copied from interface: `Terminable`
Liefert das Datum, zu dem der Auftrag ausgefuehrt wurde.

Specified by:
  `getAusfuehrungsdatum` in interface `Terminable`
Returns:
  das Datum zu dem der Auftrag ausgefuehrt wurde.
Throws:
  `RemoteException`
See Also:
  - `Terminable.getAusfuehrungsdatum()`

### ausgefuehrt

public boolean ausgefuehrt() throws RemoteException
Description copied from interface: `Terminable`
Prueft, ob das Objekt ausgefuehrt wurde.

Specified by:
  `ausgefuehrt` in interface `Terminable`
Returns:
  true, wenn das Objekt bereits ausgefuehrt wurde.
Throws:
  `RemoteException`
See Also:
  - `Terminable.ausgefuehrt()`

### setTermin

public void setTermin(Date termin) throws RemoteException
Description copied from interface: `Terminable`
Speichert den Termin, an dem die Ueberweisung ausgefuehrt werden soll.

Specified by:
  `setTermin` in interface `Terminable`
Parameters:
  `termin` - Termin der Ueberweisung.
Throws:
  `RemoteException`
See Also:
  - `Terminable.setTermin(java.util.Date)`

### ueberfaellig

public boolean ueberfaellig() throws RemoteException
Description copied from interface: `Terminable`
Prueft, ob die Ueberweisung ueberfaellig ist.

Specified by:
  `ueberfaellig` in interface `Terminable`
Returns:
  true, wenn sie ueberfaellig ist.
Throws:
  `RemoteException`
See Also:
  - `Terminable.ueberfaellig()`

### markingExecuted

protected boolean markingExecuted()
Liefert true, wenn wir uns gerade dabei befinden, den Vorgang als ausgefuehrt zu markieren.

Returns:
  true, wenn wir uns gerade dabei befinden, den Vorgang als ausgefuehrt zu markieren.

### setAusgefuehrt

public void setAusgefuehrt(boolean b) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `Terminable`
Markiert das Objekt als ausgefuehrt/nicht ausgefuehrt und speichert die Aenderung unmittelbar.

Specified by:
  `setAusgefuehrt` in interface `Terminable`
Parameters:
  `b` - ausgefuehrt-Status.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `Terminable.setAusgefuehrt(boolean)`

### getTextSchluessel

public String getTextSchluessel() throws RemoteException
Description copied from interface: `BaseUeberweisung`
Liefert den Textschluessel des Auftrags.

Specified by:
  `getTextSchluessel` in interface `BaseUeberweisung`
Returns:
  Textschluessel.
Throws:
  `RemoteException`
See Also:
  - `BaseUeberweisung.getTextSchluessel()`

### setTextSchluessel

public void setTextSchluessel(String schluessel) throws RemoteException
Description copied from interface: `BaseUeberweisung`
Speichert den Textschluessel.

Specified by:
  `setTextSchluessel` in interface `BaseUeberweisung`
Parameters:
  `schluessel` -
Throws:
  `RemoteException`
See Also:
  - `BaseUeberweisung.setTextSchluessel(java.lang.String)`